include "console.iol"
include "string_utils.iol"

type SP_Type: void {
	.text: string
	.timeout?: int
}

outputPort SpellCheckTimeout {
	RequestResponse: spellcheck( SP_Type )( string ) throws TimeoutException
}

embedded {
  Jolie: "timeoutHandler.ol" in SpellCheckTimeout
}

main
{
  spellcheck@SpellCheckTimeout( { .text = "Beutiful", .timeout = 1500 } )( res );
  println@Console( res )()
}