include "console.iol"
include "runtime.iol"
include "time.iol"

outputPort BingSpell {
  OneWay: spellCheck
}
embedded { Jolie: "BingSpell.ol" in BingSpell }

inputPort Self {
  Location: "local"
  OneWay: spellCheckResponse, 
          timeout
}

main
{
	getLocalLocation@Runtime()( myLoc );
  timeout = 1500; timeout.operation = "timeout";
  {
  	spellCheck@BingSpell( { .text = "Beutiful", .location = myLoc } )
  	|
  	setNextTimeout@Time( timeout )
  };
  
  [ spellCheckResponse( text ) ]{ println@Console( text )() }
  
  [ timeout() ]{ throw( TimeoutException ) }
}